<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_articles_categories
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

?>
<?php foreach($list as $item) : ?>
	<li class="download-item-container">
		<div class="download-item">
			<?php if ($params->get('show_thumbnail', 1)) : ?>
				<img class="downloadqueue-item-img" title="<?php echo $item->title; ?>" src="<?php echo $item->icon; ?>" />

			<?php endif; ?>
			<div class="download-item-text">
			<a data-id="<?php echo $item->id;?>" class="downloadqueue-item-clear-button" title="Remove <?php echo $item->title; ?> from Queue" href="index.php?option=com_downloadqueue&task=clear&id=<?php echo $item->id;?>">
				<div>Remove</div>
			</a>

			<?php if ($params->get('show_description', 1)) : ?>
			<span class="downloadqueue-item-description"><?php echo $item->description; ?></span>
			<?php endif; ?>

			<?php if ($params->get('show_size', 1)) : ?>
			<span class="downloadqueue-item-filesize"><?php echo $item->filesize; ?></span>
			<?php endif; ?>

            <?php if ($params->get('show_docman_filename', 0)) : ?>
            <span class="downloadqueue-item-docman-filename"><?php echo $item->title; ?></span>
            <?php endif; ?>

			<?php if ($params->get('show_filename', 0)) : ?>
			<span class="downloadqueue-item-filename"><?php echo $item->title; ?></span>
			<?php endif; ?>
			</div>
		</div>
	</li>
<?php endforeach; ?>
